Bug 165561 - Errata go missing when cloning a channel
Errata go missing when cloning a channel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
360
All Linux
medium Severity medium
: ---
: ---
Assigned To: Devan Goodwin
Preethi Thomas
: Security
Depends On:
Blocks: 248627
  Show dependency treegraph
 
Reported: 2005-08-10 10:24 EDT by Kurt Keller
Modified: 2008-04-02 20:18 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 20:18:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
very detailed description of problem including screenshots (1.99 MB, application/pdf)
2005-08-24 05:00 EDT, Kurt Keller
no flags Details

  None (edit)
Description Kurt Keller 2005-08-10 10:24:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.7.10-1.1.3.1

Description of problem:
When cloning a new channel while erratas, which have not yet been cloned, are available for multiple channels and the new clone channel is created in the 'current state' of the original channel, the erratas are not available any more for cloning to the remiaining channels.

More detailed:

Satellite Server customer has clone channels of default Red Hat channels:

  base RH channel (let's say this is WS4)
  --> test machine channel (clone of base RH channel)
      --> production machine channel (clone of test machine channel)

There are erratas in the base RH channel which have not yet been cloned to the clones of the base RH channel. These erratas are applicable to multiple base RH channels (eg. WS3, DT3, WS4, DT4). 

Customer starts using a new version of RHEL (let's say DT4) and creates the clone channels just as he has done for WS4. The channels are created with the 'current state' of the original RH channel.

After the new channel has been created, all the erratas which were applicable to the newly created clone channel are not available any more for cloning to the other channels.

Version-Release number of selected component (if applicable):
rhns-3.6.6-6.rhel3

How reproducible:
Always

Steps to Reproduce:
1) create a channel ws4-test as a clone of 'Red Hat Enterprise Linux
   WS (v. 4 for 32-bit x86)', clone using current state and all erratas:
   
   Channels -> Manage Software Channels -> clone channel
   -> select 'Red Hat Enterprise Linux WS (v. 4 for 32-bit x86)'
   -> select 'Current state of the channel (all errata)'


2) Wait for erratas which are applicable to at least both the WS4 and DT4
   channels.

   Errata -> Clone Errata -> select an errata and check the channels it is
   applicable for. Do NOT yet clone the errata to the ws4-test clone channel.

3) create a channel dt4-test as a clone of 'Red Hat Desktop 
   (v. 4 for 32-bit x86)', clone using current state and all erratas:
   
   Channels -> Manage Software Channels -> clone channel
   -> select 'Red Hat Desktop (v. 4 for 32-bit x86)'
   -> select 'Current state of the channel (all errata)'

4) Check again the erratas to clone. The ones which should still be cloned to
   the ws4-test channel are not available any more.

   Errata -> Clone Errata

Actual Results:  4) Check again the erratas to clone. The ones which should still be cloned to
   the ws4-test channel are not available any more.

   Errata -> Clone Errata

Expected Results:     The errata should still be available for cloning to the other clone channels
   it is applicable to.

   Errata -> Clone Errata

Additional info:

I have not yet tried it, but a cumbersome workaround might be the same workaround procedure as for bugzilla bug 144452:

- for _each_ channel, to which the cloned errata should apply do:
  Channels -> Manage Software Channels -> select the channel
  to work with -> Errata -> Clone -> in the Action field select
  'Merge with...' and push the 'Clone Errata' button -> push the
  'update Errata' button

I rate this bug with severity 'security' as under certain circumstances it prevents critical security patches from being applied to systems.
Comment 1 Kurt Keller 2005-08-24 05:00:45 EDT
Created attachment 118040 [details]
very detailed description of problem including screenshots

A very detailed description of the problem and how to reproduce it with
supporting screenshots for each step.
Comment 3 Robin Norwood 2006-10-17 12:32:35 EDT
mass reassign to mmccune
Comment 7 Preethi Thomas 2007-04-12 13:57:48 EDT
Can't clone channels.
bz 232444
Comment 8 Preethi Thomas 2007-04-30 10:25:10 EDT
i do think the origianl problem is fixed.

I can't be certain if I understand all the other problems explained in the pdf.

I am putting it Need info for a better test plan.
Comment 10 Red Hat Bugzilla 2007-08-21 02:48:26 EDT
User ksmith@redhat.com's account has been closed
Comment 13 Devan Goodwin 2007-11-30 09:50:44 EST
This seems to be fixed. I tried a couple things here without resorting to
creating clones and *waiting* for new errata to be released.

* Cloned a RHEL 5 channel with it's original state (no errata).
* Viewed the errata available for cloning, list appears to be correct.
* Cloned RHEL 5 again, this time with current state (all errata).
* Viewed the errata available for cloning to the first channel, list appears
correct although now the options is there to merge with already cloned errata
from the second cloning operation.
* Cloned RHEL 5 Desktop (not Server this time) in original state, still 97
errata available to the first channel I cloned.
* Cloned RHEL 5 Desktop in current state, still 97 errata available to that
first cloned channel.

I've also verified that some of these errata apply to both of the base Red Hat
channels used for cloning. 

I believe this is no longer and issue and will be moving to ON_QA, but please
let me know if anything comes up or I've missed something in my tests.
Comment 14 Preethi Thomas 2007-12-03 13:03:55 EST
verified 
Comment 15 Mike McCune 2008-03-20 17:15:44 EDT
release_pending.  
Comment 16 Brandon Perkins 2008-04-02 20:18:51 EDT
5.1 Sat GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.